from tkinter import *
import tkinter.font as tkFont
from PIL import Image, ImageTk

##########################
#       INTERFACE        #
# !! NE RIEN MODIFIER !! #
##########################
def affiche_cartes(carte1: tuple, carte2: tuple):
    '''Affiche les cartes des joueurs.
    Entrées : carte1 et carte2 = tuples représentant les cartes des joueurs 1 et 2
    Sortie : aucune
    '''
    c1 = carte1[0] + ' ' + carte1[1]
    c2 = carte2[0] + ' ' + carte2[1]
    image_joueur1 = Image.open(c1 + '.jpg')
    photo_joueur1 = ImageTk.PhotoImage(image_joueur1)
    canvas_joueur1.create_image(100, 100, anchor = NW, image=photo_joueur1)
    canvas_joueur1.image = photo_joueur1

    image_joueur2 = Image.open(c2 + '.jpg')
    photo_joueur2 = ImageTk.PhotoImage(image_joueur2)
    canvas_joueur2.create_image(100, 100, anchor = NW, image=photo_joueur2)
    canvas_joueur2.image = photo_joueur2

fen = Tk()
fen.title('Bataille')

police = tkFont.Font(family='Arial',size = '20', weight='bold')

joueur1 = Label(fen, text = 'Joueur 1', font = police)
joueur1.grid(row = 0, column = 0)
joueur2 = Label(fen, text ='Joueur 2', font = police)
joueur2.grid(row = 0, column = 1)

canvas_joueur1 = Canvas(fen, width = 400, height = 500)
canvas_joueur1.grid(row = 1, column = 0)

canvas_joueur2 = Canvas(fen, width = 400, height = 500)
canvas_joueur2.grid(row = 1, column = 1)


##########################
#     VOTRE SCRIPT       #
#          ICI           #
##########################

def clic_souris(e):
    '''Fonction qui est automatiquement éxécutée lors
        d'un clic gauche souris.
        Entrée : aucune
        Sortie : aucune'''
    pass














##########################
#      A LAISSER         #
# TOUT EN FIN DE SCRIPT  #
##########################
fen.bind('<Button-1>', clic_souris)

fen.mainloop()










